Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Functions
config.hpp File Reference
`#include <osmium/util/misc.hpp>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <string>`
Include dependency graph for config.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::config

## Functions
int | osmium::config::get_pool_threads () noexcept
bool | osmium::config::use_pool_threads_for_pbf_parsing () noexcept
std::size_t | osmium::config::get_max_queue_size (const char *queue_name, const std::size_t default_value) noexcept
int8_t | osmium::config::clean_page_cache_after_read () noexcept